function a(x,y){
	l = $('#main').offset().left;
	w = $('#main').width();
	$('#tbox').css('left',(l + w + x) + 'px');
	$('#tbox').css('bottom',y + 'px');
}
function b(){
	h = $(window).height();
	h2 = $(document).height()
	t = $(document).scrollTop();
	if(t > 0){
		$('#gotop').fadeIn('slow');
	}else{
		$('#gotop').fadeOut('slow');
	}
	d=t+h;
	d2=h2-d;
	d3=300-d2
	if(d2<=300){
	$('#tbox').css('bottom',d3+50+'px');
	}
	if(d2>300){
	$('#tbox').css('bottom','50px');
	}
	
}
$(document).ready(function(e) {
	b();
	a(0,50);//#tbox的div距浏览器底部和页面内容区域右侧的距离	
	$('#gotop').click(function(){
		$(document).scrollTop(0);	
	})
});
$(window).resize(function(){
	a(0,50);//#tbox的div距浏览器底部和页面内容区域右侧的距离
});

$(window).scroll(function(e){
	b();		
})
